<template>
  <div class="win">
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <div>
          <ul v-for="(item,index) in setSolidWaste" :key="index">
            <li>场所名称:{{ item.StoragePlaceName }}</li>
            <li>贮存能力:{{ item.StoragePlaceName }}</li>
            <li>剩余贮存能力:{{ item.StorageQty }}</li>
            <li>占地面积(㎡):{{ item.SurplusFloorArea }}</li>
            <li>最近贮存日期:{{ item.DesignFloorArea }}</li>
            <li class="lastli"></li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'GasTable',
  data () {
    return {
      tabList: [],
      setSolidWaste: [{
        StoragePlaceId: 0,
        StoragePlaceName: '取水单元干泥暂存库',
        DesignFloorArea: 0.024,
        StorageQty: 0.016,
        SurplusFloorArea: 0.018,
        StorageDate: '2021-01-17'
      }]
    }
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 0.04rem;
  background-color: @background-color;
}

.main {

  .main-matter {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      //width: 100%;
      //height: 100%;
      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;
      margin-bottom: -0.04rem;

      li {
        margin-bottom: 0.04rem;
        text-align: center;
        min-width: 31%;
        background-color: #243a55;
        color: #00d0f9;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.03rem .5%;
      }

      .lastli {
        visibility: hidden
      }
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
